﻿using System.Data;

namespace TurtleEngine
{
	 /// <summary>
	 ///
	 /// </summary>
	 public class ColumnSetColumnsHelper
	 {
		  /// <summary>
		  /// The column set columns
		  /// </summary>
		  private static DataTable columnSetColumns = new DataTable("ColumnSetColumns");

		  /// <summary>
		  /// Gets the column set columns.
		  /// </summary>
		  /// <value>
		  /// The column set columns.
		  /// </value>
		  public static DataTable ColumnSetColumns
		  {
				get { return columnSetColumns; }
		  }

		  /// <summary>
		  /// Gets the column set columns.
		  /// </summary>
		  public static void GetColumnSetColumns()
		  {
				columnSetColumns.Clear();
				columnSetColumns = Utility.DBConnection.GetSchema("ColumnSetColumns");

				//Utility.PrintDatatable(columnSetColumns);
				Utility.WriteXML(columnSetColumns, columnSetColumns.TableName + ".xml");
		  }
	 }
}