﻿namespace TurtleEngine.Entities
{
	 #region TableList

	 /// <summary>
	 ///
	 /// </summary>
	 public class TableDetails
	 {
		  /// <summary>
		  ///
		  /// </summary>
		  public class Columns
		  {
				/// <summary>
				/// Gets or sets the CHARACTE r_ MAXIMU m_ LENGTH.
				/// </summary>
				/// <value>
				/// The CHARACTE r_ MAXIMU m_ LENGTH.
				/// </value>
				public string CHARACTER_MAXIMUM_LENGTH { get; set; }

				/// <summary>
				/// Gets or sets the CHARACTE r_ OCTE t_ LENGTH.
				/// </summary>
				/// <value>
				/// The CHARACTE r_ OCTE t_ LENGTH.
				/// </value>
				public string CHARACTER_OCTET_LENGTH { get; set; }

				/// <summary>
				/// Gets or sets the CHARACTE r_ SE t_ NAME.
				/// </summary>
				/// <value>
				/// The CHARACTE r_ SE t_ NAME.
				/// </value>
				public string CHARACTER_SET_NAME { get; set; }

				/// <summary>
				/// Gets or sets the COLUM n_ DESCRIPTION.
				/// </summary>
				/// <value>
				/// The COLUM n_ DESCRIPTION.
				/// </value>
				public string COLUMN_DESCRIPTION { get; set; }

				/// <summary>
				/// Gets or sets the COLUM n_ NAME.
				/// </summary>
				/// <value>
				/// The COLUM n_ NAME.
				/// </value>
				public string COLUMN_NAME { get; set; }

				/// <summary>
				/// Gets or sets the DAT a_ TYPE.
				/// </summary>
				/// <value>
				/// The DAT a_ TYPE.
				/// </value>
				public string DATA_TYPE { get; set; }

				/// <summary>
				/// Gets or sets the I s_ COLUM n_ SET.
				/// </summary>
				/// <value>
				/// The I s_ COLUM n_ SET.
				/// </value>
				public string IS_COLUMN_SET { get; set; }

				/// <summary>
				/// Gets or sets the I s_ FILESTREAM.
				/// </summary>
				/// <value>
				/// The I s_ FILESTREAM.
				/// </value>
				public string IS_FILESTREAM { get; set; }

				/// <summary>
				/// Gets or sets the I s_ NULLABLE.
				/// </summary>
				/// <value>
				/// The I s_ NULLABLE.
				/// </value>
				public string IS_NULLABLE { get; set; }

				/// <summary>
				/// Gets or sets the I s_ SPARSE.
				/// </summary>
				/// <value>
				/// The I s_ SPARSE.
				/// </value>
				public string IS_SPARSE { get; set; }

				/// <summary>
				/// Gets or sets the NUMERI c_ PRECISION.
				/// </summary>
				/// <value>
				/// The NUMERI c_ PRECISION.
				/// </value>
				public string NUMERIC_PRECISION { get; set; }

				/// <summary>
				/// Gets or sets the NUMERI c_ PRECISIO n_ RADIX.
				/// </summary>
				/// <value>
				/// The NUMERI c_ PRECISIO n_ RADIX.
				/// </value>
				public string NUMERIC_PRECISION_RADIX { get; set; }

				/// <summary>
				/// Gets or sets the NUMERI c_ SCALE.
				/// </summary>
				/// <value>
				/// The NUMERI c_ SCALE.
				/// </value>
				public string NUMERIC_SCALE { get; set; }

				/// <summary>
				/// Gets or sets the ORDINA l_ POSITION.
				/// </summary>
				/// <value>
				/// The ORDINA l_ POSITION.
				/// </value>
				public string ORDINAL_POSITION { get; set; }

				/// <summary>
				/// Gets or sets the TABL e_ CATALOG.
				/// </summary>
				/// <value>
				/// The TABL e_ CATALOG.
				/// </value>
				public string TABLE_CATALOG { get; set; }

				/// <summary>
				/// Gets or sets the TABL e_ NAME.
				/// </summary>
				/// <value>
				/// The TABL e_ NAME.
				/// </value>
				public string TABLE_NAME { get; set; }

				/// <summary>
				/// Gets or sets the TABL e_ SCHEMA.
				/// </summary>
				/// <value>
				/// The TABL e_ SCHEMA.
				/// </value>
				public string TABLE_SCHEMA { get; set; }
		  }

		  /// <summary>
		  ///
		  /// </summary>
		  public class ForeignKeys
		  {
				/// <summary>
				/// Gets or sets the CONSTRAIN t_ CATALOG.
				/// </summary>
				/// <value>
				/// The CONSTRAIN t_ CATALOG.
				/// </value>
				public string CONSTRAINT_CATALOG { get; set; }

				/// <summary>
				/// Gets or sets the CONSTRAIN t_ NAME.
				/// </summary>
				/// <value>
				/// The CONSTRAIN t_ NAME.
				/// </value>
				public string CONSTRAINT_NAME { get; set; }

				/// <summary>
				/// Gets or sets the CONSTRAIN t_ SCHEMA.
				/// </summary>
				/// <value>
				/// The CONSTRAIN t_ SCHEMA.
				/// </value>
				public string CONSTRAINT_SCHEMA { get; set; }

				/// <summary>
				/// Gets or sets the CONSTRAIN t_ TYPE.
				/// </summary>
				/// <value>
				/// The CONSTRAIN t_ TYPE.
				/// </value>
				public string CONSTRAINT_TYPE { get; set; }

				/// <summary>
				/// Gets or sets the INITIALL y_ DEFERRED.
				/// </summary>
				/// <value>
				/// The INITIALL y_ DEFERRED.
				/// </value>
				public string INITIALLY_DEFERRED { get; set; }

				/// <summary>
				/// Gets or sets the I s_ DEFERRABLE.
				/// </summary>
				/// <value>
				/// The I s_ DEFERRABLE.
				/// </value>
				public string IS_DEFERRABLE { get; set; }

				/// <summary>
				/// Gets or sets the TABL e_ CATALOG.
				/// </summary>
				/// <value>
				/// The TABL e_ CATALOG.
				/// </value>
				public string TABLE_CATALOG { get; set; }

				/// <summary>
				/// Gets or sets the TABL e_ NAME.
				/// </summary>
				/// <value>
				/// The TABL e_ NAME.
				/// </value>
				public string TABLE_NAME { get; set; }

				/// <summary>
				/// Gets or sets the TABL e_ SCHEMA.
				/// </summary>
				/// <value>
				/// The TABL e_ SCHEMA.
				/// </value>
				public string TABLE_SCHEMA { get; set; }
		  }

		  /// <summary>
		  ///
		  /// </summary>
		  public class Indexes
		  {
				/// <summary>
				/// Gets or sets the column_name.
				/// </summary>
				/// <value>
				/// The column_name.
				/// </value>
				public string column_name { get; set; }

				/// <summary>
				/// Gets or sets the constraint_catalog.
				/// </summary>
				/// <value>
				/// The constraint_catalog.
				/// </value>
				public string constraint_catalog { get; set; }

				/// <summary>
				/// Gets or sets the constraint_name.
				/// </summary>
				/// <value>
				/// The constraint_name.
				/// </value>
				public string constraint_name { get; set; }

				/// <summary>
				/// Gets or sets the constraint_schema.
				/// </summary>
				/// <value>
				/// The constraint_schema.
				/// </value>
				public string constraint_schema { get; set; }

				/// <summary>
				/// Gets or sets the index_name.
				/// </summary>
				/// <value>
				/// The index_name.
				/// </value>
				public string index_name { get; set; }

				/// <summary>
				/// Gets or sets the type of the key.
				/// </summary>
				/// <value>
				/// The type of the key.
				/// </value>
				public string KeyType { get; set; }

				/// <summary>
				/// Gets or sets the table_catalog.
				/// </summary>
				/// <value>
				/// The table_catalog.
				/// </value>
				public string table_catalog { get; set; }

				/// <summary>
				/// Gets or sets the table_name.
				/// </summary>
				/// <value>
				/// The table_name.
				/// </value>
				public string table_name { get; set; }

				/// <summary>
				/// Gets or sets the table_schema.
				/// </summary>
				/// <value>
				/// The table_schema.
				/// </value>
				public string table_schema { get; set; }

				/// <summary>
				/// Gets or sets the type_desc.
				/// </summary>
				/// <value>
				/// The type_desc.
				/// </value>
				public string type_desc { get; set; }
		  }

		  /// <summary>
		  ///
		  /// </summary>
		  public class SQL
		  {
				/// <summary>
				/// Gets or sets the creation script.
				/// </summary>
				/// <value>
				/// The creation script.
				/// </value>
				public string CreationScript { get; set; }
		  }

		  /// <summary>
		  ///
		  /// </summary>
		  public class TableProperties
		  {
				/// <summary>
				/// Gets or sets the name.
				/// </summary>
				/// <value>
				/// The name.
				/// </value>
				public string Name { get; set; }

				/// <summary>
				/// Gets or sets the value.
				/// </summary>
				/// <value>
				/// The value.
				/// </value>
				public string Value { get; set; }
		  }
	 }

	 /// <summary>
	 ///
	 /// </summary>
	 public class TableList
	 {
		  /// <summary>
		  /// Gets or sets the TABL e_ CATALOG.
		  /// </summary>
		  /// <value>
		  /// The TABL e_ CATALOG.
		  /// </value>
		  public string TABLE_CATALOG { get; set; }

		  /// <summary>
		  /// Gets or sets the TABL e_ COLUMNSCOUNT.
		  /// </summary>
		  /// <value>
		  /// The TABL e_ COLUMNSCOUNT.
		  /// </value>
		  public string TABLE_COLUMNSCOUNT { get; set; }

		  /// <summary>
		  /// Gets or sets the TABL e_ DATA.
		  /// </summary>
		  /// <value>
		  /// The TABL e_ DATA.
		  /// </value>
		  public string TABLE_DATA { get; set; }

		  /// <summary>
		  /// Gets or sets the TABL e_ DESCRIPTION.
		  /// </summary>
		  /// <value>
		  /// The TABL e_ DESCRIPTION.
		  /// </value>
		  public string TABLE_DESCRIPTION { get; set; }

		  /// <summary>
		  /// Gets or sets the TABL e_ INDE x_ SIZE.
		  /// </summary>
		  /// <value>
		  /// The TABL e_ INDE x_ SIZE.
		  /// </value>
		  public string TABLE_INDEX_SIZE { get; set; }

		  /// <summary>
		  /// Gets or sets the TABL e_ NAME.
		  /// </summary>
		  /// <value>
		  /// The TABL e_ NAME.
		  /// </value>
		  public string TABLE_NAME { get; set; }

		  /// <summary>
		  /// Gets or sets the TABL e_ RESERVED.
		  /// </summary>
		  /// <value>
		  /// The TABL e_ RESERVED.
		  /// </value>
		  public string TABLE_RESERVED { get; set; }

		  /// <summary>
		  /// Gets or sets the TABL e_ ROWS.
		  /// </summary>
		  /// <value>
		  /// The TABL e_ ROWS.
		  /// </value>
		  public string TABLE_ROWS { get; set; }

		  /// <summary>
		  /// Gets or sets the TABL e_ SCHEMA.
		  /// </summary>
		  /// <value>
		  /// The TABL e_ SCHEMA.
		  /// </value>
		  public string TABLE_SCHEMA { get; set; }

		  /// <summary>
		  /// Gets or sets the TABL e_ SCRIPT.
		  /// </summary>
		  /// <value>
		  /// The TABL e_ SCRIPT.
		  /// </value>
		  public string TABLE_SCRIPT { get; set; }

		  /// <summary>
		  /// Gets or sets the TABL e_ TYPE.
		  /// </summary>
		  /// <value>
		  /// The TABL e_ TYPE.
		  /// </value>
		  public string TABLE_TYPE { get; set; }

		  /// <summary>
		  /// Gets or sets the TABL e_ UNUSED.
		  /// </summary>
		  /// <value>
		  /// The TABL e_ UNUSED.
		  /// </value>
		  public string TABLE_UNUSED { get; set; }
	 }

	 #endregion TableList

	 #region ViewList

	 /// <summary>
	 ///
	 /// </summary>
	 public class ViewDetails
	 {
		  /// <summary>
		  ///
		  /// </summary>
		  public class Columns
		  {
				/// <summary>
				/// Gets or sets the CHARACTE r_ MAXIMU m_ LENGTH.
				/// </summary>
				/// <value>
				/// The CHARACTE r_ MAXIMU m_ LENGTH.
				/// </value>
				public string CHARACTER_MAXIMUM_LENGTH { get; set; }

				/// <summary>
				/// Gets or sets the CHARACTE r_ OCTE t_ LENGTH.
				/// </summary>
				/// <value>
				/// The CHARACTE r_ OCTE t_ LENGTH.
				/// </value>
				public string CHARACTER_OCTET_LENGTH { get; set; }

				/// <summary>
				/// Gets or sets the CHARACTE r_ SE t_ NAME.
				/// </summary>
				/// <value>
				/// The CHARACTE r_ SE t_ NAME.
				/// </value>
				public string CHARACTER_SET_NAME { get; set; }

				/// <summary>
				/// Gets or sets the COLUM n_ DESCRIPTION.
				/// </summary>
				/// <value>
				/// The COLUM n_ DESCRIPTION.
				/// </value>
				public string COLUMN_DESCRIPTION { get; set; }

				/// <summary>
				/// Gets or sets the COLUM n_ NAME.
				/// </summary>
				/// <value>
				/// The COLUM n_ NAME.
				/// </value>
				public string COLUMN_NAME { get; set; }

				/// <summary>
				/// Gets or sets the DAT a_ TYPE.
				/// </summary>
				/// <value>
				/// The DAT a_ TYPE.
				/// </value>
				public string DATA_TYPE { get; set; }

				/// <summary>
				/// Gets or sets the I s_ COLUM n_ SET.
				/// </summary>
				/// <value>
				/// The I s_ COLUM n_ SET.
				/// </value>
				public string IS_COLUMN_SET { get; set; }

				/// <summary>
				/// Gets or sets the I s_ FILESTREAM.
				/// </summary>
				/// <value>
				/// The I s_ FILESTREAM.
				/// </value>
				public string IS_FILESTREAM { get; set; }

				/// <summary>
				/// Gets or sets the I s_ NULLABLE.
				/// </summary>
				/// <value>
				/// The I s_ NULLABLE.
				/// </value>
				public string IS_NULLABLE { get; set; }

				/// <summary>
				/// Gets or sets the I s_ SPARSE.
				/// </summary>
				/// <value>
				/// The I s_ SPARSE.
				/// </value>
				public string IS_SPARSE { get; set; }

				/// <summary>
				/// Gets or sets the NUMERI c_ PRECISION.
				/// </summary>
				/// <value>
				/// The NUMERI c_ PRECISION.
				/// </value>
				public string NUMERIC_PRECISION { get; set; }

				/// <summary>
				/// Gets or sets the NUMERI c_ PRECISIO n_ RADIX.
				/// </summary>
				/// <value>
				/// The NUMERI c_ PRECISIO n_ RADIX.
				/// </value>
				public string NUMERIC_PRECISION_RADIX { get; set; }

				/// <summary>
				/// Gets or sets the NUMERI c_ SCALE.
				/// </summary>
				/// <value>
				/// The NUMERI c_ SCALE.
				/// </value>
				public string NUMERIC_SCALE { get; set; }

				/// <summary>
				/// Gets or sets the ORDINA l_ POSITION.
				/// </summary>
				/// <value>
				/// The ORDINA l_ POSITION.
				/// </value>
				public string ORDINAL_POSITION { get; set; }

				/// <summary>
				/// Gets or sets the TABL e_ CATALOG.
				/// </summary>
				/// <value>
				/// The TABL e_ CATALOG.
				/// </value>
				public string TABLE_CATALOG { get; set; }

				/// <summary>
				/// Gets or sets the TABL e_ NAME.
				/// </summary>
				/// <value>
				/// The TABL e_ NAME.
				/// </value>
				public string TABLE_NAME { get; set; }

				/// <summary>
				/// Gets or sets the TABL e_ SCHEMA.
				/// </summary>
				/// <value>
				/// The TABL e_ SCHEMA.
				/// </value>
				public string TABLE_SCHEMA { get; set; }
		  }

		  /// <summary>
		  ///
		  /// </summary>
		  public class SQL
		  {
				/// <summary>
				/// Gets or sets the creation script.
				/// </summary>
				/// <value>
				/// The creation script.
				/// </value>
				public string CreationScript { get; set; }
		  }

		  /// <summary>
		  ///
		  /// </summary>
		  public class TableProperties
		  {
				/// <summary>
				/// Gets or sets the name.
				/// </summary>
				/// <value>
				/// The name.
				/// </value>
				public string Name { get; set; }

				/// <summary>
				/// Gets or sets the value.
				/// </summary>
				/// <value>
				/// The value.
				/// </value>
				public string Value { get; set; }
		  }
	 }

	 /// <summary>
	 ///
	 /// </summary>
	 public class ViewList
	 {
		  /// <summary>
		  /// Gets or sets the CHEC k_ OPTION.
		  /// </summary>
		  /// <value>
		  /// The CHEC k_ OPTION.
		  /// </value>
		  public string CHECK_OPTION { get; set; }

		  /// <summary>
		  /// Gets or sets the I s_ UPDATABLE.
		  /// </summary>
		  /// <value>
		  /// The I s_ UPDATABLE.
		  /// </value>
		  public string IS_UPDATABLE { get; set; }

		  /// <summary>
		  /// Gets or sets the TABL e_ CATALOG.
		  /// </summary>
		  /// <value>
		  /// The TABL e_ CATALOG.
		  /// </value>
		  public string TABLE_CATALOG { get; set; }

		  /// <summary>
		  /// Gets or sets the TABL e_ DESCRIPTION.
		  /// </summary>
		  /// <value>
		  /// The TABL e_ DESCRIPTION.
		  /// </value>
		  public string TABLE_DESCRIPTION { get; set; }

		  /// <summary>
		  /// Gets or sets the TABL e_ NAME.
		  /// </summary>
		  /// <value>
		  /// The TABL e_ NAME.
		  /// </value>
		  public string TABLE_NAME { get; set; }

		  /// <summary>
		  /// Gets or sets the TABL e_ SCHEMA.
		  /// </summary>
		  /// <value>
		  /// The TABL e_ SCHEMA.
		  /// </value>
		  public string TABLE_SCHEMA { get; set; }

		  /// <summary>
		  /// Gets or sets the TABL e_ SCRIPT.
		  /// </summary>
		  /// <value>
		  /// The TABL e_ SCRIPT.
		  /// </value>
		  public string TABLE_SCRIPT { get; set; }
	 }

	 #endregion ViewList

	 #region ProcedureList

	 /// <summary>
	 ///
	 /// </summary>
	 public class ProcedureDetails
	 {
		  /// <summary>
		  ///
		  /// </summary>
		  public class ProcedureINParameters
		  {
				/// <summary>
				/// Gets or sets the A s_ LOCATOR.
				/// </summary>
				/// <value>
				/// The A s_ LOCATOR.
				/// </value>
				public string AS_LOCATOR { get; set; }

				/// <summary>
				/// Gets or sets the DAT a_ TYPE.
				/// </summary>
				/// <value>
				/// The DAT a_ TYPE.
				/// </value>
				public string DATA_TYPE { get; set; }

				/// <summary>
				/// Gets or sets the I s_ RESULT.
				/// </summary>
				/// <value>
				/// The I s_ RESULT.
				/// </value>
				public string IS_RESULT { get; set; }

				/// <summary>
				/// Gets or sets the NUMERI c_ PRECISION.
				/// </summary>
				/// <value>
				/// The NUMERI c_ PRECISION.
				/// </value>
				public string NUMERIC_PRECISION { get; set; }

				/// <summary>
				/// Gets or sets the NUMERI c_ PRECISIO n_ RADIX.
				/// </summary>
				/// <value>
				/// The NUMERI c_ PRECISIO n_ RADIX.
				/// </value>
				public string NUMERIC_PRECISION_RADIX { get; set; }

				/// <summary>
				/// Gets or sets the NUMERI c_ SCALE.
				/// </summary>
				/// <value>
				/// The NUMERI c_ SCALE.
				/// </value>
				public string NUMERIC_SCALE { get; set; }

				/// <summary>
				/// Gets or sets the ORDINA l_ POSITION.
				/// </summary>
				/// <value>
				/// The ORDINA l_ POSITION.
				/// </value>
				public string ORDINAL_POSITION { get; set; }

				/// <summary>
				/// Gets or sets the PARAMETE r_ MODE.
				/// </summary>
				/// <value>
				/// The PARAMETE r_ MODE.
				/// </value>
				public string PARAMETER_MODE { get; set; }

				/// <summary>
				/// Gets or sets the PARAMETE r_ NAME.
				/// </summary>
				/// <value>
				/// The PARAMETE r_ NAME.
				/// </value>
				public string PARAMETER_NAME { get; set; }

				/// <summary>
				/// Gets or sets the SPECIFI c_ CATALOG.
				/// </summary>
				/// <value>
				/// The SPECIFI c_ CATALOG.
				/// </value>
				public string SPECIFIC_CATALOG { get; set; }

				/// <summary>
				/// Gets or sets the SPECIFI c_ NAME.
				/// </summary>
				/// <value>
				/// The SPECIFI c_ NAME.
				/// </value>
				public string SPECIFIC_NAME { get; set; }

				/// <summary>
				/// Gets or sets the SPECIFI c_ SCHEMA.
				/// </summary>
				/// <value>
				/// The SPECIFI c_ SCHEMA.
				/// </value>
				public string SPECIFIC_SCHEMA { get; set; }
		  }

		  /// <summary>
		  ///
		  /// </summary>
		  public class ProcedureOUTParameters
		  {
				/// <summary>
				/// Gets or sets the A s_ LOCATOR.
				/// </summary>
				/// <value>
				/// The A s_ LOCATOR.
				/// </value>
				public string AS_LOCATOR { get; set; }

				/// <summary>
				/// Gets or sets the DAT a_ TYPE.
				/// </summary>
				/// <value>
				/// The DAT a_ TYPE.
				/// </value>
				public string DATA_TYPE { get; set; }

				/// <summary>
				/// Gets or sets the I s_ RESULT.
				/// </summary>
				/// <value>
				/// The I s_ RESULT.
				/// </value>
				public string IS_RESULT { get; set; }

				/// <summary>
				/// Gets or sets the NUMERI c_ PRECISION.
				/// </summary>
				/// <value>
				/// The NUMERI c_ PRECISION.
				/// </value>
				public string NUMERIC_PRECISION { get; set; }

				/// <summary>
				/// Gets or sets the NUMERI c_ PRECISIO n_ RADIX.
				/// </summary>
				/// <value>
				/// The NUMERI c_ PRECISIO n_ RADIX.
				/// </value>
				public string NUMERIC_PRECISION_RADIX { get; set; }

				/// <summary>
				/// Gets or sets the NUMERI c_ SCALE.
				/// </summary>
				/// <value>
				/// The NUMERI c_ SCALE.
				/// </value>
				public string NUMERIC_SCALE { get; set; }

				/// <summary>
				/// Gets or sets the ORDINA l_ POSITION.
				/// </summary>
				/// <value>
				/// The ORDINA l_ POSITION.
				/// </value>
				public string ORDINAL_POSITION { get; set; }

				/// <summary>
				/// Gets or sets the PARAMETE r_ MODE.
				/// </summary>
				/// <value>
				/// The PARAMETE r_ MODE.
				/// </value>
				public string PARAMETER_MODE { get; set; }

				/// <summary>
				/// Gets or sets the PARAMETE r_ NAME.
				/// </summary>
				/// <value>
				/// The PARAMETE r_ NAME.
				/// </value>
				public string PARAMETER_NAME { get; set; }

				/// <summary>
				/// Gets or sets the SPECIFI c_ CATALOG.
				/// </summary>
				/// <value>
				/// The SPECIFI c_ CATALOG.
				/// </value>
				public string SPECIFIC_CATALOG { get; set; }

				/// <summary>
				/// Gets or sets the SPECIFI c_ NAME.
				/// </summary>
				/// <value>
				/// The SPECIFI c_ NAME.
				/// </value>
				public string SPECIFIC_NAME { get; set; }

				/// <summary>
				/// Gets or sets the SPECIFI c_ SCHEMA.
				/// </summary>
				/// <value>
				/// The SPECIFI c_ SCHEMA.
				/// </value>
				public string SPECIFIC_SCHEMA { get; set; }
		  }

		  /// <summary>
		  ///
		  /// </summary>
		  public class ProcedureProperties
		  {
				/// <summary>
				/// Gets or sets the name.
				/// </summary>
				/// <value>
				/// The name.
				/// </value>
				public string Name { get; set; }

				/// <summary>
				/// Gets or sets the value.
				/// </summary>
				/// <value>
				/// The value.
				/// </value>
				public string Value { get; set; }
		  }

		  /// <summary>
		  ///
		  /// </summary>
		  public class SQL
		  {
				/// <summary>
				/// Gets or sets the creation script.
				/// </summary>
				/// <value>
				/// The creation script.
				/// </value>
				public string CreationScript { get; set; }
		  }
	 }

	 /// <summary>
	 ///
	 /// </summary>
	 public class ProcedureList
	 {
		  /// <summary>
		  /// Gets or sets the CREATED.
		  /// </summary>
		  /// <value>
		  /// The CREATED.
		  /// </value>
		  public string CREATED { get; set; }

		  /// <summary>
		  /// Gets or sets the LAS t_ ALTERED.
		  /// </summary>
		  /// <value>
		  /// The LAS t_ ALTERED.
		  /// </value>
		  public string LAST_ALTERED { get; set; }

		  /// <summary>
		  /// Gets or sets the ROUTIN e_ CATALOG.
		  /// </summary>
		  /// <value>
		  /// The ROUTIN e_ CATALOG.
		  /// </value>
		  public string ROUTINE_CATALOG { get; set; }

		  /// <summary>
		  /// Gets or sets the ROUTIN e_ NAME.
		  /// </summary>
		  /// <value>
		  /// The ROUTIN e_ NAME.
		  /// </value>
		  public string ROUTINE_NAME { get; set; }

		  /// <summary>
		  /// Gets or sets the ROUTIN e_ SCHEMA.
		  /// </summary>
		  /// <value>
		  /// The ROUTIN e_ SCHEMA.
		  /// </value>
		  public string ROUTINE_SCHEMA { get; set; }

		  /// <summary>
		  /// Gets or sets the ROUTIN e_ TYPE.
		  /// </summary>
		  /// <value>
		  /// The ROUTIN e_ TYPE.
		  /// </value>
		  public string ROUTINE_TYPE { get; set; }

		  /// <summary>
		  /// Gets or sets the SPECIFI c_ CATALOG.
		  /// </summary>
		  /// <value>
		  /// The SPECIFI c_ CATALOG.
		  /// </value>
		  public string SPECIFIC_CATALOG { get; set; }

		  /// <summary>
		  /// Gets or sets the SPECIFI c_ NAME.
		  /// </summary>
		  /// <value>
		  /// The SPECIFI c_ NAME.
		  /// </value>
		  public string SPECIFIC_NAME { get; set; }

		  /// <summary>
		  /// Gets or sets the SPECIFI c_ SCHEMA.
		  /// </summary>
		  /// <value>
		  /// The SPECIFI c_ SCHEMA.
		  /// </value>
		  public string SPECIFIC_SCHEMA { get; set; }
	 }

	 #endregion ProcedureList

	 #region FunctionList

	 /// <summary>
	 ///
	 /// </summary>
	 public class FunctionDetails
	 {
		  /// <summary>
		  ///
		  /// </summary>
		  public class FunctionINParameters
		  {
				/// <summary>
				/// Gets or sets the A s_ LOCATOR.
				/// </summary>
				/// <value>
				/// The A s_ LOCATOR.
				/// </value>
				public string AS_LOCATOR { get; set; }

				/// <summary>
				/// Gets or sets the DAT a_ TYPE.
				/// </summary>
				/// <value>
				/// The DAT a_ TYPE.
				/// </value>
				public string DATA_TYPE { get; set; }

				/// <summary>
				/// Gets or sets the I s_ RESULT.
				/// </summary>
				/// <value>
				/// The I s_ RESULT.
				/// </value>
				public string IS_RESULT { get; set; }

				/// <summary>
				/// Gets or sets the NUMERI c_ PRECISION.
				/// </summary>
				/// <value>
				/// The NUMERI c_ PRECISION.
				/// </value>
				public string NUMERIC_PRECISION { get; set; }

				/// <summary>
				/// Gets or sets the NUMERI c_ PRECISIO n_ RADIX.
				/// </summary>
				/// <value>
				/// The NUMERI c_ PRECISIO n_ RADIX.
				/// </value>
				public string NUMERIC_PRECISION_RADIX { get; set; }

				/// <summary>
				/// Gets or sets the NUMERI c_ SCALE.
				/// </summary>
				/// <value>
				/// The NUMERI c_ SCALE.
				/// </value>
				public string NUMERIC_SCALE { get; set; }

				/// <summary>
				/// Gets or sets the ORDINA l_ POSITION.
				/// </summary>
				/// <value>
				/// The ORDINA l_ POSITION.
				/// </value>
				public string ORDINAL_POSITION { get; set; }

				/// <summary>
				/// Gets or sets the PARAMETE r_ MODE.
				/// </summary>
				/// <value>
				/// The PARAMETE r_ MODE.
				/// </value>
				public string PARAMETER_MODE { get; set; }

				/// <summary>
				/// Gets or sets the PARAMETE r_ NAME.
				/// </summary>
				/// <value>
				/// The PARAMETE r_ NAME.
				/// </value>
				public string PARAMETER_NAME { get; set; }

				/// <summary>
				/// Gets or sets the SPECIFI c_ CATALOG.
				/// </summary>
				/// <value>
				/// The SPECIFI c_ CATALOG.
				/// </value>
				public string SPECIFIC_CATALOG { get; set; }

				/// <summary>
				/// Gets or sets the SPECIFI c_ NAME.
				/// </summary>
				/// <value>
				/// The SPECIFI c_ NAME.
				/// </value>
				public string SPECIFIC_NAME { get; set; }

				/// <summary>
				/// Gets or sets the SPECIFI c_ SCHEMA.
				/// </summary>
				/// <value>
				/// The SPECIFI c_ SCHEMA.
				/// </value>
				public string SPECIFIC_SCHEMA { get; set; }
		  }

		  /// <summary>
		  ///
		  /// </summary>
		  public class FunctionOUTParameters
		  {
				/// <summary>
				/// Gets or sets the A s_ LOCATOR.
				/// </summary>
				/// <value>
				/// The A s_ LOCATOR.
				/// </value>
				public string AS_LOCATOR { get; set; }

				/// <summary>
				/// Gets or sets the DAT a_ TYPE.
				/// </summary>
				/// <value>
				/// The DAT a_ TYPE.
				/// </value>
				public string DATA_TYPE { get; set; }

				/// <summary>
				/// Gets or sets the I s_ RESULT.
				/// </summary>
				/// <value>
				/// The I s_ RESULT.
				/// </value>
				public string IS_RESULT { get; set; }

				/// <summary>
				/// Gets or sets the NUMERI c_ PRECISION.
				/// </summary>
				/// <value>
				/// The NUMERI c_ PRECISION.
				/// </value>
				public string NUMERIC_PRECISION { get; set; }

				/// <summary>
				/// Gets or sets the NUMERI c_ PRECISIO n_ RADIX.
				/// </summary>
				/// <value>
				/// The NUMERI c_ PRECISIO n_ RADIX.
				/// </value>
				public string NUMERIC_PRECISION_RADIX { get; set; }

				/// <summary>
				/// Gets or sets the NUMERI c_ SCALE.
				/// </summary>
				/// <value>
				/// The NUMERI c_ SCALE.
				/// </value>
				public string NUMERIC_SCALE { get; set; }

				/// <summary>
				/// Gets or sets the ORDINA l_ POSITION.
				/// </summary>
				/// <value>
				/// The ORDINA l_ POSITION.
				/// </value>
				public string ORDINAL_POSITION { get; set; }

				/// <summary>
				/// Gets or sets the PARAMETE r_ MODE.
				/// </summary>
				/// <value>
				/// The PARAMETE r_ MODE.
				/// </value>
				public string PARAMETER_MODE { get; set; }

				/// <summary>
				/// Gets or sets the PARAMETE r_ NAME.
				/// </summary>
				/// <value>
				/// The PARAMETE r_ NAME.
				/// </value>
				public string PARAMETER_NAME { get; set; }

				/// <summary>
				/// Gets or sets the SPECIFI c_ CATALOG.
				/// </summary>
				/// <value>
				/// The SPECIFI c_ CATALOG.
				/// </value>
				public string SPECIFIC_CATALOG { get; set; }

				/// <summary>
				/// Gets or sets the SPECIFI c_ NAME.
				/// </summary>
				/// <value>
				/// The SPECIFI c_ NAME.
				/// </value>
				public string SPECIFIC_NAME { get; set; }

				/// <summary>
				/// Gets or sets the SPECIFI c_ SCHEMA.
				/// </summary>
				/// <value>
				/// The SPECIFI c_ SCHEMA.
				/// </value>
				public string SPECIFIC_SCHEMA { get; set; }
		  }

		  /// <summary>
		  ///
		  /// </summary>
		  public class FunctionProperties
		  {
				/// <summary>
				/// Gets or sets the name.
				/// </summary>
				/// <value>
				/// The name.
				/// </value>
				public string Name { get; set; }

				/// <summary>
				/// Gets or sets the value.
				/// </summary>
				/// <value>
				/// The value.
				/// </value>
				public string Value { get; set; }
		  }

		  /// <summary>
		  ///
		  /// </summary>
		  public class SQL
		  {
				/// <summary>
				/// Gets or sets the creation script.
				/// </summary>
				/// <value>
				/// The creation script.
				/// </value>
				public string CreationScript { get; set; }
		  }
	 }

	 /// <summary>
	 ///
	 /// </summary>
	 public class FunctionList
	 {
		  /// <summary>
		  /// Gets or sets the CREATED.
		  /// </summary>
		  /// <value>
		  /// The CREATED.
		  /// </value>
		  public string CREATED { get; set; }

		  /// <summary>
		  /// Gets or sets the LAS t_ ALTERED.
		  /// </summary>
		  /// <value>
		  /// The LAS t_ ALTERED.
		  /// </value>
		  public string LAST_ALTERED { get; set; }

		  /// <summary>
		  /// Gets or sets the ROUTIN e_ CATALOG.
		  /// </summary>
		  /// <value>
		  /// The ROUTIN e_ CATALOG.
		  /// </value>
		  public string ROUTINE_CATALOG { get; set; }

		  /// <summary>
		  /// Gets or sets the ROUTIN e_ NAME.
		  /// </summary>
		  /// <value>
		  /// The ROUTIN e_ NAME.
		  /// </value>
		  public string ROUTINE_NAME { get; set; }

		  /// <summary>
		  /// Gets or sets the ROUTIN e_ SCHEMA.
		  /// </summary>
		  /// <value>
		  /// The ROUTIN e_ SCHEMA.
		  /// </value>
		  public string ROUTINE_SCHEMA { get; set; }

		  /// <summary>
		  /// Gets or sets the ROUTIN e_ TYPE.
		  /// </summary>
		  /// <value>
		  /// The ROUTIN e_ TYPE.
		  /// </value>
		  public string ROUTINE_TYPE { get; set; }

		  /// <summary>
		  /// Gets or sets the SPECIFI c_ CATALOG.
		  /// </summary>
		  /// <value>
		  /// The SPECIFI c_ CATALOG.
		  /// </value>
		  public string SPECIFIC_CATALOG { get; set; }

		  /// <summary>
		  /// Gets or sets the SPECIFI c_ NAME.
		  /// </summary>
		  /// <value>
		  /// The SPECIFI c_ NAME.
		  /// </value>
		  public string SPECIFIC_NAME { get; set; }

		  /// <summary>
		  /// Gets or sets the SPECIFI c_ SCHEMA.
		  /// </summary>
		  /// <value>
		  /// The SPECIFI c_ SCHEMA.
		  /// </value>
		  public string SPECIFIC_SCHEMA { get; set; }
	 }

	 #endregion FunctionList

	 #region TriggerList

	 /// <summary>
	 ///
	 /// </summary>
	 public class TriggerDetails
	 {
		  /// <summary>
		  ///
		  /// </summary>
		  public class SQL
		  {
				/// <summary>
				/// Gets or sets the creation script.
				/// </summary>
				/// <value>
				/// The creation script.
				/// </value>
				public string CreationScript { get; set; }
		  }

		  /// <summary>
		  ///
		  /// </summary>
		  public class TableProperties
		  {
				/// <summary>
				/// Gets or sets the name.
				/// </summary>
				/// <value>
				/// The name.
				/// </value>
				public string Name { get; set; }

				/// <summary>
				/// Gets or sets the value.
				/// </summary>
				/// <value>
				/// The value.
				/// </value>
				public string Value { get; set; }
		  }

		  /// <summary>
		  ///
		  /// </summary>
		  public class TableType
		  {
				/// <summary>
				/// Gets or sets the delete.
				/// </summary>
				/// <value>
				/// The delete.
				/// </value>
				public string Delete { get; set; }

				/// <summary>
				/// Gets or sets the insert.
				/// </summary>
				/// <value>
				/// The insert.
				/// </value>
				public string Insert { get; set; }

				/// <summary>
				/// Gets or sets the instead of.
				/// </summary>
				/// <value>
				/// The instead of.
				/// </value>
				public string InsteadOf { get; set; }

				/// <summary>
				/// Gets or sets the update.
				/// </summary>
				/// <value>
				/// The update.
				/// </value>
				public string Update { get; set; }
		  }
	 }

	 /// <summary>
	 ///
	 /// </summary>
	 public class TriggerList
	 {
		  /// <summary>
		  /// Gets or sets the create date.
		  /// </summary>
		  /// <value>
		  /// The create date.
		  /// </value>
		  public string CreateDate { get; set; }

		  /// <summary>
		  /// Gets or sets the date last modified.
		  /// </summary>
		  /// <value>
		  /// The date last modified.
		  /// </value>
		  public string DateLastModified { get; set; }

		  /// <summary>
		  /// Gets or sets the delete.
		  /// </summary>
		  /// <value>
		  /// The delete.
		  /// </value>
		  public string Delete { get; set; }

		  /// <summary>
		  /// Gets or sets the description.
		  /// </summary>
		  /// <value>
		  /// The description.
		  /// </value>
		  public string Description { get; set; }

		  /// <summary>
		  /// Gets or sets the insert.
		  /// </summary>
		  /// <value>
		  /// The insert.
		  /// </value>
		  public string Insert { get; set; }

		  /// <summary>
		  /// Gets or sets the instead of.
		  /// </summary>
		  /// <value>
		  /// The instead of.
		  /// </value>
		  public string InsteadOf { get; set; }

		  /// <summary>
		  /// Gets or sets the is enabled.
		  /// </summary>
		  /// <value>
		  /// The is enabled.
		  /// </value>
		  public string IsEnabled { get; set; }

		  /// <summary>
		  /// Gets or sets the name.
		  /// </summary>
		  /// <value>
		  /// The name.
		  /// </value>
		  public string Name { get; set; }

		  /// <summary>
		  /// Gets or sets the script.
		  /// </summary>
		  /// <value>
		  /// The script.
		  /// </value>
		  public string Script { get; set; }

		  /// <summary>
		  /// Gets or sets the name of the table.
		  /// </summary>
		  /// <value>
		  /// The name of the table.
		  /// </value>
		  public string TableName { get; set; }

		  /// <summary>
		  /// Gets or sets the update.
		  /// </summary>
		  /// <value>
		  /// The update.
		  /// </value>
		  public string Update { get; set; }
	 }

	 #endregion TriggerList

	 #region UserDefinedDataTypeList

	 /// <summary>
	 ///
	 /// </summary>
	 public class UserDefinedDataTypeDetails
	 {
		  /// <summary>
		  ///
		  /// </summary>
		  public class ColumnsDefinedOn
		  {
				/// <summary>
				/// Gets or sets the description.
				/// </summary>
				/// <value>
				/// The description.
				/// </value>
				public string Description { get; set; }

				/// <summary>
				/// Gets or sets the name.
				/// </summary>
				/// <value>
				/// The name.
				/// </value>
				public string Name { get; set; }

				/// <summary>
				/// Gets or sets the parent.
				/// </summary>
				/// <value>
				/// The parent.
				/// </value>
				public string Parent { get; set; }
		  }

		  /// <summary>
		  ///
		  /// </summary>
		  public class SQL
		  {
				/// <summary>
				/// Gets or sets the creation script.
				/// </summary>
				/// <value>
				/// The creation script.
				/// </value>
				public string CreationScript { get; set; }
		  }

		  /// <summary>
		  ///
		  /// </summary>
		  public class TableProperties
		  {
				/// <summary>
				/// Gets or sets the name.
				/// </summary>
				/// <value>
				/// The name.
				/// </value>
				public string Name { get; set; }

				/// <summary>
				/// Gets or sets the value.
				/// </summary>
				/// <value>
				/// The value.
				/// </value>
				public string Value { get; set; }
		  }
	 }

	 /// <summary>
	 ///
	 /// </summary>
	 public class UserDefinedDataTypeList
	 {
		  /// <summary>
		  /// Gets or sets the allow identity.
		  /// </summary>
		  /// <value>
		  /// The allow identity.
		  /// </value>
		  public string AllowIdentity { get; set; }

		  /// <summary>
		  /// Gets or sets the default.
		  /// </summary>
		  /// <value>
		  /// The default.
		  /// </value>
		  public string Default { get; set; }

		  /// <summary>
		  /// Gets or sets the description.
		  /// </summary>
		  /// <value>
		  /// The description.
		  /// </value>
		  public string Description { get; set; }

		  /// <summary>
		  /// Gets or sets the length of the max.
		  /// </summary>
		  /// <value>
		  /// The length of the max.
		  /// </value>
		  public string MaxLength { get; set; }

		  /// <summary>
		  /// Gets or sets the name.
		  /// </summary>
		  /// <value>
		  /// The name.
		  /// </value>
		  public string Name { get; set; }

		  /// <summary>
		  /// Gets or sets the nullable.
		  /// </summary>
		  /// <value>
		  /// The nullable.
		  /// </value>
		  public string Nullable { get; set; }

		  /// <summary>
		  /// Gets or sets the parent.
		  /// </summary>
		  /// <value>
		  /// The parent.
		  /// </value>
		  public string Parent { get; set; }

		  /// <summary>
		  /// Gets or sets the rule.
		  /// </summary>
		  /// <value>
		  /// The rule.
		  /// </value>
		  public string Rule { get; set; }

		  /// <summary>
		  /// Gets or sets the schema.
		  /// </summary>
		  /// <value>
		  /// The schema.
		  /// </value>
		  public string Schema { get; set; }

		  /// <summary>
		  /// Gets or sets the script.
		  /// </summary>
		  /// <value>
		  /// The script.
		  /// </value>
		  public string Script { get; set; }

		  /// <summary>
		  /// Gets or sets the type of the system.
		  /// </summary>
		  /// <value>
		  /// The type of the system.
		  /// </value>
		  public string SystemType { get; set; }

		  /// <summary>
		  /// Gets or sets the length of the variable.
		  /// </summary>
		  /// <value>
		  /// The length of the variable.
		  /// </value>
		  public string VariableLength { get; set; }
	 }

	 #endregion UserDefinedDataTypeList
}