﻿using System.Collections.Generic;
using System.IO;

namespace TurtleEngine.Formats
{
	 /// <summary>
	 ///
	 /// </summary>
	 internal interface IGenerate
	 {
		  /// <summary>
		  /// Generates the document.
		  /// </summary>
		  /// <param name="sourceSections">The source sections.</param>
		  void GenerateDocument(List<MemoryStream> sourceSections);

		  /// <summary>
		  /// Writes to file.
		  /// </summary>
		  /// <param name="targetLocation">The target location.</param>
		  void WriteToFile(string targetLocation);
	 }
}