﻿namespace TurtleEngine.Helper.BackgroundWorker
{
	 /// <summary>
	 ///
	 /// </summary>
	 /// <typeparam name="T"></typeparam>
	 public class DoWorkArgument<T>
	 {
		  /// <summary>
		  /// Initializes a new instance of the <see cref="DoWorkArgument{T}" /> class.
		  /// </summary>
		  /// <param name="argument">The argument.</param>
		  public DoWorkArgument(T argument)
		  {
				Argument = argument;
		  }

		  /// <summary>
		  /// Gets the argument.
		  /// </summary>
		  /// <value>
		  /// The argument.
		  /// </value>
		  public T Argument { get; private set; }
	 }
}