<!DOCTYPE xsl:stylesheet [
  <!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">

		<html>
			<head>
				<title>List of DataTypes</title>
				<LINK HREF="RadGrid_Office2007.css" REL="stylesheet" TYPE="text/css" />
				<LINK HREF="RadTabStrip.css" REL="stylesheet" TYPE="text/css" />
				<LINK HREF="RadTabStrip_Office2007.css" REL="stylesheet" TYPE="text/css" />
				<script type="text/javascript" src="sorttable.js"></script>
			</head>
			<body class="RadGrid RadGrid_Office2007">
				<div id="RadTabStrip1" class="RadTabStrip RadTabStrip_Office2007 RadTabStripTop_Office2007 ">
					<div class="rtsLevel rtsLevel1">
						<ul class="rtsUL">
							<li class="rtsLI rtsFirst rtsLast">
								<a class="rtsLink rtsSelected" href="#">
									<span class="rtsOut">
										<span class="rtsIn">
											<span class="rtsTxt">
												<font style="font-weight:bold" size="2.5px">List of DataTypes</font>
											</span>
										</span>
									</span>
								</a>
							</li>
						</ul>
					</div>
				</div>
				<div
					style="padding:10px;border-right:solid 1px #8db2e3;border-bottom:solid 1px #8db2e3;border-left:solid 1px #8db2e3;">
					<div class="RadGrid RadGrid_Office2007" style="width:100%;">
						<table cellspacing="0" cellpadding="0" style="width:100%">
							<tr>
								<td>
									<table class="MasterTable_Office2007" cellspacing="0"
												style="width:100%;border-collapse:collapse;table-layout:auto;empty-cells:show;" id="ListOfTables">
										<thead>
											<tr class="GridRow_Office2007">
												<th class="GridHeader_Office2007" width="03%">&nbsp;</th>
												<th class="GridHeader_Office2007" width="25%">TypeName</th>
												<th class="GridHeader_Office2007" width="08%">Size</th>
												<th class="GridHeader_Office2007" width="08%">Format</th>
												<th class="GridHeader_Office2007" width="08%">DataType</th>
												<th class="GridHeader_Office2007" width="08%">AutoIncrement</th>
												<th class="GridHeader_Office2007" width="08%">CaseSensitive</th>
												<th class="GridHeader_Office2007" width="08%">FixedLength</th>
												<th class="GridHeader_Office2007" width="08%">Long</th>
												<th class="GridHeader_Office2007" width="08%">Nullable</th>
												<th class="GridHeader_Office2007" width="08%">Searchable</th>
											</tr>
										</thead>
										<tbody>
											<xsl:for-each select="//DataTypes/DataTypes">
												<tr class="GridRow_Office2007">
													<td>
														<img class="vmiddle" border="0" src="../images/table.gif" />
													</td>
													<td>
														<xsl:choose>
															<xsl:when test="string-length(TypeName) > 0">
																<xsl:value-of select="TypeName" />
															</xsl:when>
															<xsl:otherwise>
																&nbsp;
															</xsl:otherwise>
														</xsl:choose>
													</td>
													<td align="right">
														<xsl:choose>
															<xsl:when test="string-length(ColumnSize) > 0">
																<xsl:value-of select="ColumnSize" />
															</xsl:when>
															<xsl:otherwise>
																&nbsp;
															</xsl:otherwise>
														</xsl:choose>
													</td>
													<td>
														<xsl:choose>
															<xsl:when test="string-length(CreateFormat) > 0">
																<xsl:value-of select="CreateFormat" />
															</xsl:when>
															<xsl:otherwise>
																&nbsp;
															</xsl:otherwise>
														</xsl:choose>
													</td>
													<td>
														<xsl:choose>
															<xsl:when test="string-length(DataType) > 0">
																<xsl:value-of select="DataType" />
															</xsl:when>
															<xsl:otherwise>
																&nbsp;
															</xsl:otherwise>
														</xsl:choose>
													</td>
													<td>
														<xsl:choose>
															<xsl:when test="string-length(IsAutoIncrementable) > 0">
																<xsl:value-of select="IsAutoIncrementable" />
															</xsl:when>
															<xsl:otherwise>
																&nbsp;
															</xsl:otherwise>
														</xsl:choose>
													</td>
													<td>
														<xsl:choose>
															<xsl:when test="string-length(IsCaseSensitive) > 0">
																<xsl:value-of select="IsCaseSensitive" />
															</xsl:when>
															<xsl:otherwise>
																&nbsp;
															</xsl:otherwise>
														</xsl:choose>
													</td>
													<td>
														<xsl:choose>
															<xsl:when test="string-length(IsFixedLength) > 0">
																<xsl:value-of select="IsFixedLength" />
															</xsl:when>
															<xsl:otherwise>
																&nbsp;
															</xsl:otherwise>
														</xsl:choose>
													</td>
													<td>
														<xsl:choose>
															<xsl:when test="string-length(IsLong) > 0">
																<xsl:value-of select="IsLong" />
															</xsl:when>
															<xsl:otherwise>
																&nbsp;
															</xsl:otherwise>
														</xsl:choose>
													</td>
													<td>
														<xsl:choose>
															<xsl:when test="string-length(IsNullable) > 0">
																<xsl:value-of select="IsNullable" />
															</xsl:when>
															<xsl:otherwise>
																&nbsp;
															</xsl:otherwise>
														</xsl:choose>
													</td>
													<td>
														<xsl:choose>
															<xsl:when test="string-length(IsSearchable) > 0">
																<xsl:value-of select="IsSearchable" />
															</xsl:when>
															<xsl:otherwise>
																&nbsp;
															</xsl:otherwise>
														</xsl:choose>
													</td>
												</tr>
											</xsl:for-each>
										</tbody>
									</table>
								</td>
							</tr>
						</table>
					</div>
				</div>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>