﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TurtleEngine.Formats
{
	 /// <summary>
	 ///
	 /// </summary>
	 public class BaseFormat : IGenerate
	 {
		  /// <summary>
		  /// Generates the document.
		  /// </summary>
		  /// <param name="sourceSections">The source sections.</param>
		  /// <exception cref="System.NotImplementedException"></exception>
		  public virtual void GenerateDocument(List<MemoryStream> sourceSections)
		  {
				throw new NotImplementedException();
		  }

		  /// <summary>
		  /// Writes to file.
		  /// </summary>
		  /// <param name="targetLocation">The target location.</param>
		  /// <exception cref="System.NotImplementedException"></exception>
		  public virtual void WriteToFile(string targetLocation)
		  {
				throw new NotImplementedException();
		  }
	 }
}