﻿using System.Data;

namespace TurtleEngine
{
	 /// <summary>
	 ///
	 /// </summary>
	 public class ProcedureParametersHelper
	 {
		  /// <summary>
		  /// The procedure parameters
		  /// </summary>
		  private static DataTable procedureParameters = new DataTable("ProcedureParameters");

		  /// <summary>
		  /// Gets the procedure parameters.
		  /// </summary>
		  /// <value>
		  /// The procedure parameters.
		  /// </value>
		  public static DataTable ProcedureParameters
		  {
				get { return procedureParameters; }
		  }

		  /// <summary>
		  /// Gets the procedure parameters.
		  /// </summary>
		  public static void GetProcedureParameters()
		  {
				procedureParameters.Clear();
				procedureParameters = Utility.DBConnection.GetSchema("ProcedureParameters");

				//Utility.PrintDatatable(procedureParameters);
		  }

		  /// <summary>
		  /// Writes the procedure parameters.
		  /// </summary>
		  public static void WriteProcedureParameters()
		  {
				Utility.WriteXML(procedureParameters, procedureParameters.TableName + ".xml");

				//Utility.PrintDatatable(procedureParameters);
		  }
	 }
}