﻿using System.Data;

namespace TurtleEngine
{
	 /// <summary>
	 ///
	 /// </summary>
	 public class StructuredTypeMembersHelper
	 {
		  /// <summary>
		  /// The structured type members
		  /// </summary>
		  private static DataTable structuredTypeMembers = new DataTable("StructuredTypeMembers");

		  /// <summary>
		  /// Gets the structured type members.
		  /// </summary>
		  /// <value>
		  /// The structured type members.
		  /// </value>
		  public static DataTable StructuredTypeMembers
		  {
				get { return structuredTypeMembers; }
		  }

		  /// <summary>
		  /// Gets the structured type members.
		  /// </summary>
		  public static void GetStructuredTypeMembers()
		  {
				structuredTypeMembers.Clear();
				structuredTypeMembers = Utility.DBConnection.GetSchema("StructuredTypeMembers");

				//Utility.PrintDatatable(structuredTypeMembers);
				Utility.WriteXML(structuredTypeMembers, structuredTypeMembers.TableName + ".xml");
		  }
	 }
}